#! /bin/bash
# Please ensure the JRE Bin path is added to the system PATH, or set the correct JRE Bin path here.
# The JRE should be 1.5 or above version.

# JRE_HOME_BIN=/usr/lib/jvm/java-6-sun/jre/bin
JRE_HOME_BIN="EMPTY"

JAVACMD=java
RMIREGCMD=rmiregistry
MAINMETHOD=com.ibm.eismocker.main.EisMockerMain

# Set the path for Java and Rmiregistry commands if JRE Bin paht is not empty.
if [ $JRE_HOME_BIN != "EMPTY" ] 
then
JAVACMD=$JRE_HOME_BIN/java
RMIREGCMD=$JRE_HOME_BIN/rmiregistry
fi

CLASSPATH=.:../lib/EIS_Server.jar:../lib/Eclipse/org.eclipse.core.commands_3.3.0.I20070605-0010.jar:../lib/Eclipse/org.eclipse.equinox.common_3.3.0.v20070426.jar:../lib/Eclipse/org.eclipse.swt.gtk.linux.x86_3.3.0.v3346.jar:../lib/Eclipse/org.eclipse.swt_3.3.0.v3346.jar:../lib/Eclipse/org.eclipse.jface_3.3.0.I20070606-0010.jar
CLASSPATH=$CLASSPATH:../lib/Tuscany/common-2.2.2.jar:../lib/Tuscany/ecore-2.2.2.jar:../lib/Tuscany/ecore-change-2.2.2.jar:../lib/Tuscany/ecore-xmi-2.2.2.jar:../lib/Tuscany/sdo-api-r2.1-1.0-incubator-M3.jar:../lib/Tuscany/tuscany-sdo-impl-1.0-incubator-M3.jar:../lib/Tuscany/xlxpScanner.jar:../lib/Tuscany/xlxpScannerUtils.jar:../lib/Tuscany/xlxpWASParsers.jar:../lib/Tuscany/xsd-2.2.2.jar

export CLASSPATH

exec $RMIREGCMD 9000 &
$JAVACMD -Djava.security.policy=policy.txt -classpath $CLASSPATH $MAINMETHOD $1

# "stop the rmiregistry service"
pidof rmiregistry |xargs kill -9

